import { Link, NavLink, Navigate, type NavigateProps, type LinkProps, type NavLinkProps } from 'react-router'
import { resolveTo } from './defaultRouterSearch'

export const DefaultLink = (props: LinkProps) => {
  const to = resolveTo(props.to)

  return <Link {...props} to={to} />
}

export const DefaultNavLink = (props: NavLinkProps) => {
  const to = resolveTo(props.to)

  return <NavLink {...props} to={to} />
}

export const DefaultNavigate = (props: NavigateProps) => {
  const to = resolveTo(props.to)

  return <Navigate {...props} to={to} />
}
