import { useNavigate, type To, type NavigateOptions } from 'react-router'

import { resolveTo } from './defaultRouterSearch'

export const useDefaultNavigate = () => {
  const navigate = useNavigate()

  return (to: To, options?: NavigateOptions) => {
    const resolvedTo = resolveTo(to)
    navigate(resolvedTo, options)
  }
}
